Update Member

Updates an existing member for the authenticated SP Digital business. Example curl: ```bash curl --request POST '{{base_url}}/sp/members/update' \ --header 'Authorization: Bearer {{access_token}}' \ --header 'Content-Type: application/json' \ --data-raw '{ "idempotency_key": "{{$timestamp}}-member-update", "contact_id": {{contact_id}}, "first_name": "John", "last_name": "Updated", "email": "john.updated@example.com" }' ``` Example success response shape: ```json { "success": true, "message": "Member updated successfully.", "data": { "member_id": 123, "contact_id": 456, "first_name": "John", "last_name": "Updated", "email": "john.updated@example.com" }, "meta": {} } ``` Example error response shape: ```json { "success": false, "message": "The same idempotency_key cannot be reused with a different payload.", "error": { "code": "idempotency_key_reused_with_different_payload", "details": {} } } ``` Common platform errors: - `idempotency_key_required` - `member_not_found` - `unauthorized` - `sp_scope_not_granted` - `sp_token_scope_missing` - `legacy_field_not_allowed` - `query_parameters_not_allowed` - `invalid_content_type`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

AuthorizationstringOptional

Response

200 OK Example
successboolean
messagestring
dataobject
metaobject